/************************************************
Stylesheet: Hicaliber Stylesheet
*************************************************/
@media (min-width: 320px) {
  html {
    overflow-x: hidden;
  }
}

/*********************
HICAL HELPERS
*********************/
.uppercase {
  text-transform: uppercase;
}

/*********************
HICAL BODY
*********************/
#hical-body.body-background {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  width: 100vw;
  height: auto;
  z-index: -1;
}

/*********************
HICAL HEADER
*********************/
#hical-header.header-transparent {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  z-index: 100;
  background-color: rgba(21, 21, 21, 0.29);
  color: #fff;
}

#hical-header .top-header {
  margin: 5px 0;
}

#hical-header .top-menu, #hical-header .social-media {
  list-style: none;
  padding: 0;
  margin: 0;
}

#hical-header .top-menu>li, #hical-header .social-media>li {
  display: inline-block;
  margin-right: 5px;
  padding: 5px;
}

#hical-header .social-media>li {
  font-size: 16px;
}

#hical-header .top-menu>li:last-child, #hical-header .social-media>li:last-child {
  margin-right: 0;
}

#hical-header .top-menu>li.menu-button {
  padding: 5px 25px;
}

#hical-header .navbar {
  margin: 0;
  min-height: 80px;
}

#hical-header .navbar-brand {
  height: 80px;
}

#hical-header .navbar-nav .dropdown-menu {
  padding: 0;
  border: 0;
}

#hical-header .navbar-nav .dropdown-menu>li>a {
  padding: 6px 20px;
}

#hical-header .navbar-right>li>a {
  border-radius: 50px;
  width: 50px;
  font-size: 18px;
  margin-left: 10px;
  line-height: 50px;
  padding: 0;
}

#hical-header .navbar-toggle {
  margin-top: 20px;
}

@media (min-width: 768px) {
  #hical-header .bottom-header {
    padding: 10px 0;
  }

  #hical-header .navbar-brand {
    padding-left: 0;
  }

  #hical-header .navbar-nav {
    margin-top: 20px;
  }
}

@media (min-width: 992px) {
  #hical-header .navbar-brand {
    margin-right: 20px;
  }

  #hical-header .navbar-nav:not(.navbar-right)>li>a {
    margin-right: 20px;
  }
}

@media (max-width: 767px) {
  #hical-header .top-menu {
    display: none;
  }

  #hical-header .top-header {
    min-height: 35px;
  }

  #hical-header .navbar-collapse {
    padding-bottom: 15px;
  }

  #hical-header .navbar-right>li {
    display: inline-block;
  }
}

/*********************
BODY
*********************/
body {
  background-color: #F9F9FB;
  background-size: cover;
  background-repeat: no-repeat;
  min-width: 300px;
  background-position: inherit;
  background-attachment: fixed;
}

body .row {
  margin-left: 0;
  margin-right: 0;
}

.page-header {
  padding-top: 50px;
}

.master-body {
  padding: 108px 0 0;
}

#WContent {
  padding-bottom: 50px;
}

/*********************
HIDDEN
*********************/
.page-header>.property-image, .page-header>.room-image, .hide-property-description #ctl00_plcBody_PropertyDescriptionPanel, .hide-location-filter #ctl00_plcBody_RegionPanel, .hide-property-filter #ctl00_plcBody_PropertyPanel, .hide-property-rating .property-rating, .hide-title .titleWrapper {
  display: none !important;
}

/*********************
HICAL CONTENT
*********************/
@media (min-width: 992px) {
  #hical-content.image-right-content .carousel-wrapper-parent, #hical-content.image-right-content .platinum-property-container .carousel {
    float: right;
  }

  #hical-content.image-right-content .platinum-property-container {
    position: relative;
  }

  #hical-content.image-right-content .platinum-property-container .image-tags {
    right: 0;
  }

  #hical-content.split-25-75 .carousel-wrapper-parent.col-md-5 {
    width: 25%;
  }

  #hical-content.split-25-75 .description-panel.col-md-7 {
    width: 75%;
  }

  #hical-content.split-50-50 .carousel-wrapper-parent.col-md-5, #hical-content.split-50-50 .description-panel.col-md-7 {
    width: 50%;
  }

  #hical-content.image-right-content .platinum-property-container {
    width: 100%;
    margin: 0 0 20px;
  }

  #hical-content.image-right-content .platinum-property-container .carousel {
    width: 41.66666667%;
    padding: 10px;
  }

  #hical-content.image-right-content .platinum-property-container .property-details {
    width: 58.33333333%;
  }
}

/*********************
BORDER RADIUS
*********************/
#hical-content.image-right-content .image-carousel, #hical-content.image-left-content .image-carousel, #hical-footer .footer-menu>li a.menu-button, #hical-content.image-left-content .platinum-property-container .carousel .property-image, #hical-content.image-right-content .platinum-property-container .carousel .property-image {
  border-radius: 4px;
}

.platinum-property-container .carousel .property-image, .platinum-property-container .image-carousel {
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

.arrival-wrapper {
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.NightsContainer {
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
}

@media (min-width: 992px) {
  .BookingFormGrid {
    border-top-left-radius: 4px;
  }

  #ctl00_plcBody_NextLinkButton {
    border-top-right-radius: 4px;
  }

  #ctl00_plcBody_PropertyDescriptionPanel, #ctl00_plcBody_RoomTypeDescriptionsPanel .detpan .row, .card-body, .platinum-property-container {
    border-radius: 4px;
  }
}

/*********************
PROPERTY NAME
*********************/
@media (min-width: 992px) {
  #ctl00_plcBody_BookingFormGroupPropertyNameLabel {
    font-size: 45px;
  }
}

/*********************
SEARCH FORM
*********************/
.subSearchControls, .searchControls {
  background-color: transparent;
  box-shadow: none;
  padding: 15px;
  margin: 0px 0px 15px 0px;
}

.searchControls div label, .searchControls2 label, #ctl00_plcBody_PromotionStatusLabel {
  padding-left: 10px;
}

.people-selection {
  width: calc(100% - 164px);
}

.search-selection {
  width: 160px;
}

.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
  background-color: #2196F3;
}

.arrival-wrapper:after, .departure-wrapper:after, .NightsContainer:after, .adult-selection:after, .child-selection:after, #ctl00_plcBody_CurrencyDropDownPanel:after, #ctl00_plcBody_PropertyDropDownPanel:after, #ctl00_plcBody_PromotionBoxPanel:after, #ctl00_plcBody_SortPanel:after, #ctl00_plcBody_RegionPanel:after {
  display: none;
}

.bootstrap-select button {
  font-size: 18px !important;
  border: none !important;
}

.bootstrap-select button.btn-default:hover, .btn-default.active, .btn-default:active, .open>.dropdown-toggle.btn-default, .open>.dropdown-toggle.btn-default:hover, .btn-default.focus, .btn-default:focus, .open>.dropdown-toggle.btn-default:focus, .bootstrap-select .dropdown-toggle:focus, #ctl00_plcBody_PromotionTextBox {
  background-color: #fff !important;
}

.bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn) {
  width: 100%;
}

#ui-datepicker-div.ui-widget.ui-widget-content {
  z-index: 1001 !important;
}

#dateArrival, #dateDeparture, #Nights, #NightsLabel, #ctl00_plcBody_PaxAdultsDropDownList, #ctl00_plcBody_PaxChildrenDropDownList {
  color: rgb(51, 51, 51);
}

#CalendarStartDate, #CalendarEndDate, .NightsContainer, .arrival-wrapper, .departure-wrapper, .nights, #ctl00_plcBody_PaxChildrenDropDownList, #ctl00_plcBody_PaxAdultsDropDownList, #ctl00_plcBody_NightsSelectedDropDownList, #ctl00_plcBody_CurrencyDropDownList, #ctl00_plcBody_RegionDropDownList, .searchOptionPanel {
  background-color: #fff !important;
  border-color: #fff !important;
}

.people-selection .btn {
  height: 44px;
}

.StartDateHeader, .EndDateHeader, .NightsHeader, .people-selection label, .subSearchControls label, .searchControls label, .search-selection input {
  color: #fff !important;
}

.people-selection .btn {
  height: 46px;
}

.search-selection #search-button input {
  border: 2px solid #fff;
  font-size: 14px !important;
  font-weight: 500;
  margin-top: 18px;
}

.promotion-selection {
  padding-left: 0;
}

#ctl00_plcBody_PromotionBoxPanel {
  width: 100% !important;
}

#ctl00_plcBody_CurrencyDropDownPanel {
  position: absolute;
  top: 10px;
  left: 15px;
  max-width: 225px;
  z-index: 1000;
}

#ctl00_plcBody_CurrencyDropDownPanel label {
  display: none;
}

#ctl00_plcBody_CurrencyDropDownPanel .btn-default, #ctl00_plcBody_CurrencyDropDownPanel .bootstrap-select button.btn-default:hover, #ctl00_plcBody_CurrencyDropDownPanel .open .bootstrap-select button.btn-default:hover {
  background-color: transparent !important;
  color: #fff;
}

@media (min-width: 768px) {
  .roomtype-page .bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn).PropertyDropDownList {
    padding-right: 30px;
  }

  .promotion-selection {
    max-width: 250px;
  }
}

@media (min-width: 992px) {
  .subSearchControls, .searchControls {
    padding-left: 0;
    padding-right: 0;
    float: left;
    margin-bottom: 0;
  }

  .arrival-selection {
    width: 50%;
    float: left;
  }

  .people-selection {
    width: calc(50% - 200px);
    margin-left: 20px;
    float: left;
    margin-top: 3px;
  }

  .search-selection {
    float: left;
    margin-top: 14px;
    margin-left: 20px;
  }
}

@media (max-width: 767px) {
  .roomtype-page #ctl00_plcBody_PropertyDropDownPanel {
    width: 100% !important;
  }
}

/*********************
PROPERTY DESCRIPTION
*********************/
#ctl00_plcBody_PropertyDescriptionPanel .propertyDesc {
  margin-bottom: 20px;
}

/*********************
PROPERTIES LIST
*********************/
@media only screen and (min-width: 768px and max-width: 1440px) {
  .platinum-property-container:nth-child(2n+1) {
    clear: left;
  }
}

@media only screen and (min-width: 1441px) {
  .platinum-property-container:nth-child(3n+1) {
    clear: left;
  }
}

/*********************
SEARCH RESULTS
*********************/
.property-price {
  border-top: 0;
  text-align: left;
}

.property-totalprice {
  border-bottom: 0;
  font-size: 40px;
  padding-bottom: 20px;
  position: relative;
  text-align: left;
}

.property-totalprice span {
  font-size: 14px;
  position: absolute;
  bottom: 0;
  left: 0;
}

.property-totalprice span::after {
  width: 4px;
  height: 15px;
  margin-left: -7px;
  position: absolute;
  right: 0;
  bottom: 3px;
  background-color: #fff;
  content: " ";
}

@media (min-width: 1200px) {
  #ctl00_plcBody_RoomTypeDescriptionsPanel .propertyDesc {
    width: calc(100% - 190px);
  }

  .price-container {
    width: 190px;
    top: 34px;
  }
}

@media (max-width: 1199px) {
  .price-container .col-xs-12 {
    padding-left: 0;
    padding-right: 0;
  }
}

@media (max-width: 767px) {
  .price-container .col-xs-12 {
    padding: 0;
  }

  .price-container .property-totalprice {
    width: calc(100% - 130px);
    display: inline-block;
  }

  .price-container .room-button {
    width: 130px;
    float: right;
    margin-top: 45px;
  }

  .property-price.disabled, .property-totalprice.disabled {
    display: none !important;
  }
}

/*********************
DETAILS ENTRY
*********************/
.BookingFormGrid>table .rr:last-child td {
  border-bottom: 1px solid #fff;
}

.BookingDetailsTable .detpan.col-2 {
  padding: 0 !important;
}

.BookingDetailsTable .dets-search .detpanhead, .BookingDetailsTable .col-2 .detpanhead>div, .BookingDetailsTable .dets-search .detpanbody, .BookingDetailsTable .col-2 .detpanbody>.col-xs-12 {
  padding: 15px !important;
}

.BookingDetailsTable .col-1 .detpanhead:after, .BookingDetailsTable .col-2 .detpanhead:after {
  display: none;
}

.BookingDetailsTable .dets-search .detpanbody .nights-label {
  margin-top: 0px;
  padding-top: 15px;
  padding-bottom: 5px;
}

/*********************
HICAL FOOTER & FOOTER
*********************/
#hical-footer {
  padding: 30px 0 0;
}

#hical-footer .footer-col {
  padding-left: 15px;
  padding-right: 15px;
  float: left;
  width: 100%;
  margin-bottom: 30px;
}

#hical-footer .footer-menu {
  list-style: none;
  padding: 0;
  margin: 0;
}

#hical-footer .footer-menu>li {
  padding: 14px 15px;
  display: block;
}

#hical-footer .footer-menu>li>ul {
  list-style: none;
  padding-left: 0;
  margin-top: 10px;
}

#hical-footer .footer-menu>li a.menu-button {
  padding: 14px 30px;
  font-size: 16px;
}

#hical-footer .footer-menu>li a.menu-button:hover {
  text-decoration: none;
}

.footer {
  margin: 0;
}

.footer.container {
  width: 100%;
}

.footer .copyright, #ctl00_PoweredByHirumDiv {
  background-color: transparent;
  box-shadow: none;
  padding: 15px;
}

@media (min-width: 768px) {
  #hical-footer {
    padding: 50px 0 20px;
  }

  #hical-footer.footer-layout-2 .footer-col-1 {
    width: 25%;
  }

  #hical-footer.footer-layout-2 .footer-col-2 {
    width: 75%;
  }

  #hical-footer .footer-menu {
    text-align: left;
  }

  #hical-footer.footer-layout-1 .footer-menu>li, #hical-footer.footer-layout-2 .footer-menu>li {
    display: inline-block;
    margin-right: 20px;
    vertical-align: top;
  }

  #hical-footer.footer-layout-1 .footer-menu>li:last-child, #hical-footer.footer-layout-2 .footer-menu>li:last-child {
    margin-right: 0;
  }

  #hical-footer.footer-layout-2 .footer-menu>li.menu--button {
    float: right;
  }
}

@media (min-width: 992px) {
  #hical-footer.footer-layout-3 .footer-col-1, #hical-footer.footer-layout-3 .footer-col-2, #hical-footer.footer-layout-3 .footer-col-3, #hical-footer.footer-layout-3 .footer-col-4 {
    width: 50%;
  }
}

@media (min-width: 1200px) {
  #hical-footer.footer-layout-3 .footer-col-1, #hical-footer.footer-layout-3 .footer-col-2, #hical-footer.footer-layout-3 .footer-col-3, #hical-footer.footer-layout-3 .footer-col-4 {
    width: 25%;
  }
}
